Subject: acka-research-digest V3 #115
From: [email-masked] (acka-research-digest)
To: [email-masked]

acka-research-digest       Sunday, May 31 1998       Volume 03 : Number 115

----------------------------------------------------------------------

Date: Sun, 31 May 1998 00:37:47 -0400 (EDT)
From: JT <[email-masked]>
Subject: Re: Acka: Oy!

I would also note that by the FM rule quoted below

>If a Mad Scientist ever announces the text of a Discovery that is not
>complete, which contains text that are not valid parts, or contains parts
>which were not properly submitted to him, or otherwise was not created in
>accordance with this rule, then that Discovery is false and is rejected.
>Any Blueprints created out of this Discovery, and Monsters created out of
>said Blueprints, are immediately destroyed. The Mad Scientist who posted
>the false Discovery is removed from office if e still holds it.

So, I believe that else...if no longer holds the post of Mad Scientist.
Who therefore does?

- --JT

[-------------------------------------------------------------------------]
[ Practice random kindness and senseless acts of beauty.                  ]
[ It's hard to seize the day when you must first grapple with the morning ]
[-------------------------------------------------------------------------]

------------------------------

Date: Sun, 31 May 1998 01:30:46 -0400 (EDT)
From: K2 <"kii@kii"@internex.net.au>
Subject: Re: Acka: Oy!

Filled by election....

JT wrote:

> I would also note that by the FM rule quoted below
>
> >If a Mad Scientist ever announces the text of a Discovery that is not
> >complete, which contains text that are not valid parts, or contains parts
> >which were not properly submitted to him, or otherwise was not created in
> >accordance with this rule, then that Discovery is false and is rejected.
> >Any Blueprints created out of this Discovery, and Monsters created out of
> >said Blueprints, are immediately destroyed. The Mad Scientist who posted
> >the false Discovery is removed from office if e still holds it.
>
> So, I believe that else...if no longer holds the post of Mad Scientist.
> Who therefore does?
>
> --JT
>
> [-------------------------------------------------------------------------]
> [ Practice random kindness and senseless acts of beauty.                  ]
> [ It's hard to seize the day when you must first grapple with the morning ]
> [-------------------------------------------------------------------------]

------------------------------

Date: Sun, 31 May 1998 04:05:15 -0400 (EDT)
From: Duncan Richer <[email-masked]>
Subject: Re: Acka: Oy!

On Sun, 31 May 1998, JT wrote:

> I would also note that by the FM rule quoted below
> 
> >If a Mad Scientist ever announces the text of a Discovery that is not
> >complete, which contains text that are not valid parts, or contains parts
> >which were not properly submitted to him, or otherwise was not created in
> >accordance with this rule, then that Discovery is false and is rejected.
> >Any Blueprints created out of this Discovery, and Monsters created out of
> >said Blueprints, are immediately destroyed. The Mad Scientist who posted
> >the false Discovery is removed from office if e still holds it.
> 
> So, I believe that else...if no longer holds the post of Mad Scientist.
> Who therefore does?

else...if.  The Mad Scientist rules are currently in a loop.
Please vote for "It's a Mad, Mad, Mad Succession Scheme", which will fix
this misfeature.

- -- 
Duncan C. "" Richer aka
Slakko (Lost) Warner - http://dcr24.quns.cam.ac.uk/ - Queens' College
Cambridge, 1st Year PhD(Pure Maths), CUDipSoc, CUSFS, CUSTS, CURS etc
Acka - President, Web-Harfer, RuneMaker, ChessUmpire, Map-Harfer

------------------------------

Date: Sun, 31 May 1998 04:07:38 -0400 (EDT)
From: Duncan Richer <[email-masked]>
Subject: Re: Acka: Oy!

On Sun, 31 May 1998, K2 wrote:

> Filled by election....

Rule 596:

This Office can only be filled or transferred as follows: If the seat is
vacant, it is filled by the last Player to take possession of any
Frankenstein
Monster. If it is impossible or illegal for the last player to take
possession of a Frankenstein Monster to become Mad Scientist [no such
player
exists, or the player is already a "real" scientist, whatever], then, the
seat shall be filled by Election for Office. 

Nothing stops else...if immediately becoming Mad Scientist again, so that
happens.
> 
> JT wrote:
> 
> > I would also note that by the FM rule quoted below
> >
> > >If a Mad Scientist ever announces the text of a Discovery that is not
> > >complete, which contains text that are not valid parts, or contains parts
> > >which were not properly submitted to him, or otherwise was not created in
> > >accordance with this rule, then that Discovery is false and is rejected.
> > >Any Blueprints created out of this Discovery, and Monsters created out of
> > >said Blueprints, are immediately destroyed. The Mad Scientist who posted
> > >the false Discovery is removed from office if e still holds it.
> >
> > So, I believe that else...if no longer holds the post of Mad Scientist.
> > Who therefore does?
> >
> > --JT
> >
> > [-------------------------------------------------------------------------]
> > [ Practice random kindness and senseless acts of beauty.                  ]
> > [ It's hard to seize the day when you must first grapple with the morning ]
> > [-------------------------------------------------------------------------]
> 
> 
> 
> 

- -- 
Duncan C. "" Richer aka
Slakko (Lost) Warner - http://dcr24.quns.cam.ac.uk/ - Queens' College
Cambridge, 1st Year PhD(Pure Maths), CUDipSoc, CUSFS, CUSTS, CURS etc
Acka - President, Web-Harfer, RuneMaker, ChessUmpire, Map-Harfer

------------------------------

Date: Sun, 31 May 1998 12:50:06 -0400 (EDT)
From: Brian Raiter <[email-masked]>
Subject: Re: Acka: Oy!

> The solution to this of course is to keep each CFJ as a seperate
> file (or a seperate entry into a database) and build all the pages
> on the fly.

Generally, yes; this is how I manage the proposals and rules. However,
a potentially simpler solution is to just have the cgi script
recognize and remember the name-anchor tags in the HTML. This is
probably what I would have done in this case, since CFJs aren't needed
for processing anywhere else. (I've written numerous one-off scripts
to turn HTML documents into data files, all in the pursuit of harfing
this game, and it always takes longer than it seems it should, unless
the HTML was created by a script to begin with.)

> I have to write similar code for trinket harfer pages anyway (since
> I want to :) so it would be relatively easy to reuse.  The part I
> was dreading writing was the search-request parser.  If you want to
> share the code, I'll be happy to take a look at it.

Well, my half-finished programs usually look like something that
should be given a decent burial rather than put to use, but here it is
anyway. I don't claim that this actually, functions, though - I may
have left the code in an broken state when I set it aside.

[...]
my $query = new CGI;
my $criteria = $query->param("searchfor");
$criteria =~ s/^\s+//;
$criteria =~ s/\s+$//;
fail "Error: nothing to search for." unless $criteria;
my $casesensitive = $query->param("casesensitive");
if ($query->param("how") eq "regex") {
    $strippunct = 0;
    $_ = "/$criteria/";
    s/\s+/\\s+/g;
    $_ .= "i" unless $casesensitive;
} else {
    $strippunct = 1;
    my $op = $query->param("how") eq "matchall" ? " && " : " || ";
    my @targets;
    while ($criteria) {
	my $which = "<";
	unless ($criteria =~ s/^-\s*//) {
	    $which = ">=";
	    $criteria =~ s/^\+\s*//;
	}
	if ($criteria =~ s/^\"([^\"]+)\"\s*//) {
	    $_ = quotemeta $1;
	} elsif ($criteria =~ s/^(\S+)\s*//) {
	    ($_ = $1) =~ tr/0-9A-Za-z\'//cd;
	} else {
	    fail "One of us is confused.";
	}
	tr/A-Z/a-z/ unless $casesensitive;
	push @targets, "(index(\$_, '$_') $which 0)";
    }
    $_ = join $op, @targets;
}
my $findfunction = eval "sub { $_ }";
fail "Internal syntax error: $@" if $@;
[...]

As you can see, the end result is a reference to an anonymous
function. Load the CFJs one at a time into $_, strip HTML tags, strip
punctuation if $strippunct is true, and call &$findfunction to test.

breadbox

------------------------------

Date: Sun, 31 May 1998 13:31:04 -0400 (EDT)
From: Matt Miller <[email-masked]>
Subject: Re: Acka: Oy!

On Sun, 31 May 1998, Brian Raiter wrote:

> Well, my half-finished programs usually look like something that
> should be given a decent burial rather than put to use, but here it is
> anyway. I don't claim that this actually, functions, though - I may
> have left the code in an broken state when I set it aside.
> 
> [...]
> my $query = new CGI;
> my $criteria = $query->param("searchfor");
> $criteria =~ s/^\s+//;
> $criteria =~ s/\s+$//;
> fail "Error: nothing to search for." unless $criteria;
> my $casesensitive = $query->param("casesensitive");

[...]
> my $findfunction = eval "sub { $_ }";
> fail "Internal syntax error: $@" if $@;
> [...]
> 
> As you can see, the end result is a reference to an anonymous
> function. Load the CFJs one at a time into $_, strip HTML tags, strip
> punctuation if $strippunct is true, and call &$findfunction to test.
> 
> breadbox
> 

Well, brain has a nice little mSQL database running on him.  Maybe I'll
make a way for MTM to easily get the CFJs in there.

Of course I'm running a baby web-bot/search engine off that DB engine, so
maybe not such a good idea.

IB
rambler

------------------------------

Date: Sun, 31 May 1998 14:35:20 -0400 (EDT)
From: JT <[email-masked]>
Subject: Re: Acka: Proposal 3159

On Sun, 31 May 1998, nomicbot wrote:
>Proposal 3159
>And the World Screams "Kiss Me, Son of God"
>else...if (Henry Towsner)

[portions snipped from below for brevity]

>	The Office of Foreign Affairs has four Seats. The Ambassador is not
>eligible to hold this office. The Officers of Foreign Affairs are
>collectively a Unique Organization known as the Foreign Affairs Council.
>The Ambassador is the titular head of the Senate, with the title of
>Director of Foreign Affairs. If a Foreign Affairs Council vote is tied

I hope you meant Council above and not Senate?

>"Membership Aid".  Members of Ackanomic are encouraged to join these
>nomics, and if they join a nomic on that list and remain for three months,
>upon pointing this out publicly they will receive A$100.

You might want to allow people who had joined before this declaration but
were acka players at the time they joined to be eligible for this as well.

- --JT

[-------------------------------------------------------------------------]
[ Practice random kindness and senseless acts of beauty.                  ]
[ It's hard to seize the day when you must first grapple with the morning ]
[-------------------------------------------------------------------------]

------------------------------

Date: Sun, 31 May 1998 15:40:35 -0400 (EDT)
From: [email-masked] (Aaron V. Humphrey)
Subject: Re: Acka: Proposal 3166

> Amend rule 1240.10 by replacing the following
> "LOOKALFVAENIMMOVINGAPERIODOUTSIDETHEDOUBLEQUOTES" delimited text:

> LOOKALFVAENIMMOVINGAPERIODOUTSIDETHEDOUBLEQUOTES
> 1. This rule defines an Otzma Card type called "Paratroop." 

> SHORTDELIMITER
> 1. This rule defines an Otzma Card type called "Paratroop". 

It's not that I object to periods inside double quotes in general, just
in Proposals where they insert extra ones.  :-)  Of course, I _do_ tend to
put periods outside double quotes if possible...

- --
- --Alfvaen(Web page: http://www.telusplanet.net/public/alfvaen/ )
Current Song--Coolio:Gangsta's Paradise
Current Book--Mary Stewart:The Moon-Spinners
Let the llama look down the lift shaft.

------------------------------

Date: Sun, 31 May 1998 15:43:51 -0400 (EDT)
From: "Tom Walmsley" <[email-masked]>
Subject: Re: Acka: Proposal 3125 rejected

> Results of Proposal 3125
> 
> 17/25 votes: Quorum achieved
> 6/17 YES votes: Proposal rejected
> 
>     NO:
> Vynd                 (Vulcan)
> /dev/joe             (Vulcan)
> K 2                  (MetaMorph)
> else...if            (Klingon)
> Rex Mundi            (Klingon)
> Alfvaen              (MetaMorph)
> rufus                (SPAM)
> Attila the Pun
> Fortunato
> breadbox
> J. M. Bear           (MetaMorph)
>
> > Proposal 3125 - Sun 24 May 1998 11:00 EDT
> > Things can only get better
> > The Gingham Wearer (Tom Walmsley)

Those of you who voted against this, was it the idea or the implementation
that you didn't like. If the former then I'll forget it, but if the latter
then I'll try to give it a reworking.

Mr. Tambourine Man.

------------------------------

Date: Sun, 31 May 1998 15:54:17 -0400 (EDT)
From: David Scheidt <[email-masked]>
Subject: Re: Acka: Proposal 3125 rejected

On Sun, 31 May 1998, Tom Walmsley wrote:

> Those of you who voted against this, was it the idea or the implementation
> that you didn't like. If the former then I'll forget it, but if the latter
> then I'll try to give it a reworking.

If you fall for the scams of the pols, you deserve what you are going to
get, is my basic take on democracy.  If Acka is going to look like a
democracy, than we should have to be as careful as we should be in Real
Life.

rufus

------------------------------

Date: Sun, 31 May 1998 16:26:09 -0400 (EDT)
From: Brian Raiter <[email-masked]>
Subject: Re: Acka: Proposal 3125 rejected

> Those of you who voted against this, was it the idea or the
> implementation that you didn't like. If the former then I'll forget
> it, but if the latter then I'll try to give it a reworking.

A little of both.

With regards to the idea: Presidential campaigns are often entertainly
silly, and it would be a shame to stick someone with the goose because
of a silly campaign promise that no one took seriously.  (Our
president is more like a vice-president, really - e has next to no
duties unless and until a Functional Officer leaves, whereupon e has
to scramble.)

On the implementation side, however: 1) the proposal gives no
indication of who determines whether or not a campaign promise has
been filled; 2) campaign promises can easily be given without
mentioning when they will be fulfilled, making the rule rather
ineffective; and 3) a president could easily, even unintentionally,
give convoluted promises that make life hell for the Speaker (since
it's not specified who has to track this) for a indefinite length of
time.

The last point has further significance: I wouldn't be surprised if a
wily President could manage to put the game in a state of paradox.
Even if e couldn't, someone trying to do so would likely result in a
great deal of confusion. (And confusion regarding ownership of the
Chartreuse Goose especially can multiply the thread splitting.)

breadbox

------------------------------

Date: Sun, 31 May 1998 16:57:30 -0400 (EDT)
From: [email-masked] (Aaron V. Humphrey)
Subject: Re: Acka: Proposal 3125 rejected

> > > Proposal 3125 - Sun 24 May 1998 11:00 EDT
> > > Things can only get better
> > > The Gingham Wearer (Tom Walmsley)

> Those of you who voted against this, was it the idea or the implementation
> that you didn't like. If the former then I'll forget it, but if the latter
> then I'll try to give it a reworking.

I made my comments when it was posted; I think they were similar to
breadbox's.

- --
- --Alfvaen(Web page: http://www.telusplanet.net/public/alfvaen/ )
Current Album--Handel:Water Music
Current Book--Mary Stewart:The Moon-Spinners
If love is blind, lingerie makes great Braille.

------------------------------

Date: Sun, 31 May 1998 17:35:30 -0400 (EDT)
From: Uri Bruck <[email-masked]>
Subject: Re: Acka: Proposal 3159

On Sun, 31 May 1998, nomicbot wrote:

> Proposal 3159
> And the World Screams "Kiss Me, Son of God"
> else...if (Henry Towsner)
> 
> 	Repeal section VI of rule 419.2
> 	Renumber rule 419.2 to 419.3
> 	Create rule 419.2, named "The Foreign Affairs Council", reading as
> delimited by CIA
> CIA
> 	The Office of Foreign Affairs has four Seats. The Ambassador is not
> eligible to hold this office. The Officers of Foreign Affairs are
> collectively a Unique Organization known as the Foreign Affairs Council.
> The Ambassador is the titular head of the Senate, with the title of
 				            ^^^^^^
Senate?

Niccolo Flychuck

------------------------------

Date: Sun, 31 May 1998 20:41:42 -0400 (EDT)
From: Towsner <[email-masked]>
Subject: Re: Acka: Proposal 3125 rejected

>Those of you who voted against this, was it the idea or the implementation
>that you didn't like. If the former then I'll forget it, but if the latter
>then I'll try to give it a reworking.
	This strikes me as one of things which is better left uninforced.
Players will just refuse to vote for peple who don't keep promises.

- --
- -Henry Towsner

	<[email-masked]>

	Success is the child of audacity.
		-Benjamin Disraeli

------------------------------

Date: Sun, 31 May 1998 20:41:47 -0400 (EDT)
From: Towsner <[email-masked]>
Subject: Re: Acka: Proposal 3159

>>	The Office of Foreign Affairs has four Seats. The Ambassador is not
>>eligible to hold this office. The Officers of Foreign Affairs are
>>collectively a Unique Organization known as the Foreign Affairs Council.
>>The Ambassador is the titular head of the Senate, with the title of
>>Director of Foreign Affairs. If a Foreign Affairs Council vote is tied
>
>I hope you meant Council above and not Senate?
	Mmph.  I though I caught all of those...I'll ask someone to CSR it
if it passes.

>>"Membership Aid".  Members of Ackanomic are encouraged to join these
>>nomics, and if they join a nomic on that list and remain for three months,
>>upon pointing this out publicly they will receive A$100.
>
>You might want to allow people who had joined before this declaration but
>were acka players at the time they joined to be eligible for this as well.
	Again, mmph.  This is simple enough that if the proposal passes
I'll fix it with another proposal.

- --
- -Henry Towsner

	<[email-masked]>

	Success is the child of audacity.
		-Benjamin Disraeli

------------------------------

End of acka-research-digest V3 #115
***********************************